<template>
  <v-btn
    id="create-user"
    :to="to"
    color="primary" :class="`text-white ${classExtra}`"
    :prepend-icon="icon"
  >
    {{ label.length ? label : translate('actions.create') }}
  </v-btn>
</template>
<script lang="ts" setup>
import { useI18n } from 'vue-i18n';

const { t: translate } = useI18n();

const props = defineProps({
  icon: {
    type: String,
    default: 'mdi-plus',
  },
  label: {
    type: String,
    default: '',
  },
  classExtra: {
    type: String,
    default: '',
  },
  to: {
    type: Object,
    default() {
      return {
        name: ''
      }
    }
  },
  loading: {
    type: Boolean,
    default: false,
  },
});
</script>